VkGraphicsPipelineCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkGraphicsPipelineCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineCreateFlags | flags
uint32_t | stageCount
const VkPipelineShaderStageCreateInfo * | pStages
const VkPipelineVertexInputStateCreateInfo * | pVertexInputState
const VkPipelineInputAssemblyStateCreateInfo * | pInputAssemblyState
const VkPipelineTessellationStateCreateInfo * | pTessellationState
const VkPipelineViewportStateCreateInfo * | pViewportState
const VkPipelineRasterizationStateCreateInfo * | pRasterizationState
const VkPipelineMultisampleStateCreateInfo * | pMultisampleState
const VkPipelineDepthStencilStateCreateInfo * | pDepthStencilState
const VkPipelineColorBlendStateCreateInfo * | pColorBlendState
const VkPipelineDynamicStateCreateInfo * | pDynamicState
VkPipelineLayout | layout
VkRenderPass | renderPass
uint32_t | subpass
VkPipeline | basePipelineHandle
int32_t | basePipelineIndex

## Detailed Description

Definition at line 2097 of file vulkan.h.

## Field Documentation

## basePipelineHandle

VkPipeline VkGraphicsPipelineCreateInfo::basePipelineHandle

Definition at line 2115 of file vulkan.h.

## basePipelineIndex

int32_t VkGraphicsPipelineCreateInfo::basePipelineIndex

Definition at line 2116 of file vulkan.h.

## flags

VkPipelineCreateFlags VkGraphicsPipelineCreateInfo::flags

Definition at line 2100 of file vulkan.h.

## layout

VkPipelineLayout VkGraphicsPipelineCreateInfo::layout

Definition at line 2112 of file vulkan.h.

## pColorBlendState

const VkPipelineColorBlendStateCreateInfo* VkGraphicsPipelineCreateInfo::pColorBlendState

Definition at line 2110 of file vulkan.h.

## pDepthStencilState

const VkPipelineDepthStencilStateCreateInfo* VkGraphicsPipelineCreateInfo::pDepthStencilState

Definition at line 2109 of file vulkan.h.

## pDynamicState

const VkPipelineDynamicStateCreateInfo* VkGraphicsPipelineCreateInfo::pDynamicState

Definition at line 2111 of file vulkan.h.

## pInputAssemblyState

const VkPipelineInputAssemblyStateCreateInfo* VkGraphicsPipelineCreateInfo::pInputAssemblyState

Definition at line 2104 of file vulkan.h.

## pMultisampleState

const VkPipelineMultisampleStateCreateInfo* VkGraphicsPipelineCreateInfo::pMultisampleState

Definition at line 2108 of file vulkan.h.

## pNext

const void* VkGraphicsPipelineCreateInfo::pNext

Definition at line 2099 of file vulkan.h.

## pRasterizationState

const VkPipelineRasterizationStateCreateInfo* VkGraphicsPipelineCreateInfo::pRasterizationState

Definition at line 2107 of file vulkan.h.

## pStages

const VkPipelineShaderStageCreateInfo* VkGraphicsPipelineCreateInfo::pStages

Definition at line 2102 of file vulkan.h.

## pTessellationState

const VkPipelineTessellationStateCreateInfo* VkGraphicsPipelineCreateInfo::pTessellationState

Definition at line 2105 of file vulkan.h.

## pVertexInputState

const VkPipelineVertexInputStateCreateInfo* VkGraphicsPipelineCreateInfo::pVertexInputState

Definition at line 2103 of file vulkan.h.

## pViewportState

const VkPipelineViewportStateCreateInfo* VkGraphicsPipelineCreateInfo::pViewportState

Definition at line 2106 of file vulkan.h.

## renderPass

VkRenderPass VkGraphicsPipelineCreateInfo::renderPass

Definition at line 2113 of file vulkan.h.

## stageCount

uint32_t VkGraphicsPipelineCreateInfo::stageCount

Definition at line 2101 of file vulkan.h.

## sType

VkStructureType VkGraphicsPipelineCreateInfo::sType

Definition at line 2098 of file vulkan.h.

## subpass

uint32_t VkGraphicsPipelineCreateInfo::subpass

Definition at line 2114 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h